Subject: bug#903 closed by Adrian Robert <[email-masked]> (#823 - 23.0.60; uninitialised variable gidx in nsfont.m - Emacs bug report logs)

From: [email-masked] (Emacs bug Tracking System)

This is an automatic notification regarding your bug report
which was filed against the emacs,ns package:

#823: CVS HEAD won't build --with-ns on OSX 10.5 (fails src/nsfont.m)

It has been closed by Adrian Robert <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Adrian Robert <[email-masked]> by
replying to this email.

-- 
823: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=823
Emacs Bug Tracking System
Contact [email-masked] with problems
>From [email-masked] Fri Oct  3 11:04:23 2008
From: Adrian Robert <[email-masked]>
To: [email-masked]
Subject: #823 - 23.0.60; uninitialised variable gidx in nsfont.m - Emacs bug report logs
Date: Fri, 3 Oct 2008 14:03:20 -0400

Summary: the variable gidx was removed during Kenichi Handa's update  
of composition handling and it took some time to update all of the  
code using it:

On 2008-08-29  Kenichi Handa changed the glyph_string data structure,  
composition-related portion

On 2008-09-07  Teodor Zlatanov fixed the compiler error by changing  
glyph_string.gidx to glyph_string.cmp_from

On 2008-09-27 Adrian Robert updated this patch to approximate the  
behavior before Handa's changes

>From [email-masked] Sat Sep  6 07:14:24 2008
To: [email-masked]
Subject: CVS HEAD won't build --with-ns on OSX 10.5 (fails src/nsfont.m)
From: [email-masked] (Randal L. Schwartz)
Date: Sat, 06 Sep 2008 07:14:13 -0700

During "make bootstrap":

gcc -I/sw/include -L/sw/lib -c  -Demacs -DHAVE_CONFIG_H  -I. -I/Volumes/UFS/MIRROR/emacs-CVS-new/src -I/usr/X11/include -Dtemacs   -I/sw/include/dbus-1.0 -I/sw/lib/dbus-1.0/include -g -O2 -Wno-pointer-sign  nsfont.m
nsfont.m: In function 'nsfont_char_width':
nsfont.m:481: warning: 'widthOfString:' is deprecated (declared at /System/Library/Frameworks/AppKit.framework/Headers/NSFont.h:216)
nsfont.m: In function 'nsfont_open':
nsfont.m:726: warning: 'widthOfString:' is deprecated (declared at /System/Library/Frameworks/AppKit.framework/Headers/NSFont.h:216)
nsfont.m: In function 'nsfont_draw':
nsfont.m:907: error: 'struct glyph_string' has no member named 'gidx'
nsfont.m:908: error: 'struct glyph_string' has no member named 'gidx'
nsfont.m:914: error: 'struct glyph_string' has no member named 'gidx'
nsfont.m:1097: error: 'struct glyph_string' has no member named 'gidx'
nsfont.m:1103: error: 'struct glyph_string' has no member named 'gidx'
make[2]: *** [nsfont.o] Error 1
make[1]: *** [src] Error 2
make: *** [bootstrap] Error 2

Is this known?  Being worked on?  Do you need more info?

-- 
Randal L. Schwartz - Stonehenge Consulting Services, Inc. - +1 503 777 0095
<[email-masked]> <URL:http://www.stonehenge.com/merlyn/>
Smalltalk/Perl/Unix consulting, Technical writing, Comedy, etc. etc.
See http://methodsandmessages.vox.com/ for Smalltalk and Seaside discussion